﻿.dxbl-drawer > .dxbl-drawer-panel .dxbl-drawer-header {
    display: flex;
    justify-content: center;
    background: white;
    border-bottom-width: 2px !important;
}

.projects-drawer .dxbl-drawer-content {
    font-size: var(--dxbl-drawer-panel-font-size);
    line-height: var(--dxbl-drawer-panel-line-height);
    overflow: auto;
    padding: var(--dxbl-drawer-panel-padding-y) var(--dxbl-drawer-panel-padding-x);
    /*width: 150px;*/
}

.dxbl-drawer-panel.dxbl-drawer-panel {
    width: 160px;
    background: #d3c8bd;
    --dxbl-drawer-separator-border-color: black;
    border-color: black;
    border-right-width: 2px !important;
}

.dxbl-menu.dxbl-menu-vertical {
    height: 30px;
    color: black;
    font-size: 25px;
    width: 100%;
    background: #d3c8bd;
}

.menu-navbar-item-text {
    display: flex;
    width: 100%;
    justify-content: start;
    font-size: 18px;
    text-align: end;
    height: 30px;
}

.menu-navbar-item-text img {
    height: 28px;
    width: 28px;
    margin-right: 15px; /* Add spacing between the image and text */
}

.menu-navbar-item-text span {
    display: inline-flex; /* Make sure the span is treated as a flex container */
    align-items: center; /* Center the span contents vertically */
    justify-content: flex-start;
}

.dxbl-menu-item-text-container {
    display: flex;
    width: 100%;
    justify-content: flex-end;
    /*margin-right: 20px !important;*/
}

.projects-drawer:has(.projects-drawer-menu) {
    --dxbl-drawer-panel-body-padding-x: 0;
    --dxbl-drawer-panel-body-padding-y: 0;
}

.projects-drawer.projects-drawer-menu {
    --dxbl-menu-item-padding-x: 0.9375rem;
    --dxbl-menu-top-left-border-radius: 0;
    --dxbl-menu-top-right-border-radius: 0;
    --dxbl-menu-bottom-left-border-radius: 0;
    --dxbl-menu-bottom-right-border-radius: 0;
}

    .projects-drawer.projects-drawer-menu:hover {
        --dxbl-menu-item-padding-x: 0.9375rem;
        --dxbl-menu-top-left-border-radius: 0;
        --dxbl-menu-top-right-border-radius: 0;
        --dxbl-menu-bottom-left-border-radius: 0;
        --dxbl-menu-bottom-right-border-radius: 0;
        background-color: white;
    }

.dxbl-sm .dxbl-menu.projects-drawer-menu {
    --dxbl-menu-item-padding-x: 0.8125rem;
}

.dxbl-lg .dxbl-menu.projects-drawer-menu {
    --dxbl-menu-item-padding-x: 1.0625rem;
}

.projects-drawer-mini .projects-drawer-mini-menu .dxbl-menu-item-text {
    visibility: hidden;
    transition: visibility linear var(--dxbl-drawer-animation-duration);
}
